ENT.Type = "anim"

ENT.Base = "base_follower"

ENT.RenderGroup = RENDERGROUP_TRANSLUCENT



function ENT:Initialize()

	

	self.ModelString = 'models/combine_scanner.mdl'

	self.ModelScale = 0.6

	self.Particles = "hope_beams"

	

	self.BaseClass.Initialize( self )

	

	if SERVER then

		self:Fo_AddRandomSound( "npc/scanner/combat_scan5.wav", 100, 100 )

		self:Fo_AddRandomSound( "npc/scanner/combat_scan1.wav", 100, 100 )

		self:Fo_AddRandomSound( "npc/scanner/scanner_siren2.wav", 100, 100 )

	end



end



function ENT:Fo_UpdatePet( speed, weight )



	local sequence = self:LookupSequence( "Inspect1" )

	if ( weight >= 1 ) then

		sequence = self:LookupSequence( "Idle" )

	end

	self:SetPlaybackRate( 1 )

	self:ResetSequence(sequence)



end